%define module_name DBIx-Perlish
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(DBD/PgLite.pm) perl(DBI.pm) perl(Devel/Caller.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Keyword/Pluggable.pm) perl(Pod/Markdown.pm) perl(base.pm) perl(overload.pm) perl-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
%define dist DBIx-Perlish
Name: perl-%dist
Version: 1.03
Release: alt1

Summary: a perlish interface to SQL databases

License: bsd
Group: Development/Perl
Url: %CPAN %dist

Packager: Michael Bochkaryov <misha@altlinux.ru>

BuildArch: noarch
Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARASIK/%{module_name}-%{version}.tar.gz

# Automatically added by buildreq on Tue Sep 09 2008 (-bi)
BuildRequires: perl-DBD-SQLite perl-Module-Install perl-PadWalker perl-Test-Pod perl-Test-Pod-Coverage

%description
The DBIx::Perlish module provides the ability to work with databases supported
by the DBI module using Perl's own syntax for four most common operations:
SELECT, UPDATE, DELETE, and INSERT.

By using DBIx::Perlish, you can write most of your database queries using a
domain-specific language with Perl syntax. Since a Perl programmer knows Perl
by definition, and might not know SQL to the same degree, this approach
generally leads to a more comprehensible and maintainable code.

The module is not intended to replace 100 percent of SQL used in your program.
There is a hope, however, that it can be used to replace a substantial portion
of it.

The DBIx::Perlish module quite intentionally neither implements nor cares about
database administration tasks like schema design and management. The plain DBI
interface is quite sufficient for that. Similarly, and for the same reason, it
does not take care of establishing database connections or handling
transactions. All this is outside the scope of this module.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/DBIx/Perlish*

%files scripts
%_bindir/*

%changelog
* Wed May 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- updated by package builder

* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- regenerated from template by package builder

* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.64-alt1
- automated CPAN update

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.63-alt1
- automated CPAN update

* Tue Aug 19 2014 Igor Vlasenko <viy@altlinux.ru> 0.62-alt1
- automated CPAN update

* Thu Dec 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1
- automated CPAN update

* Thu Sep 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1
- automated CPAN update

* Mon Sep 10 2012 Vladimir Lettiev <crux@altlinux.ru> 0.59-alt1
- 0.56 -> 0.59

* Mon Sep 19 2011 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- automated CPAN update

* Mon Nov 22 2010 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1.1
- repair after perl 5.12 upgrade using girar-nmu

* Tue Jul 13 2010 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- automated CPAN update

* Tue Sep 09 2008 Michael Bochkaryov <misha@altlinux.ru> 0.44-alt1
- first build for ALT Linux Sisyphus

